define(["require", "exports", "react", "../../../Utilities", "../../../Icon", "./TagItem.styles"], function (require, exports, React, Utilities_1, Icon_1, TagItem_styles_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var getClassNames = Utilities_1.classNamesFunction();
    exports.TagItemBase = function (props) {
        var theme = props.theme, styles = props.styles, selected = props.selected, disabled = props.disabled, enableTagFocusInDisabledPicker = props.enableTagFocusInDisabledPicker, children = props.children, className = props.className, index = props.index, onRemoveItem = props.onRemoveItem;
        var classNames = getClassNames(styles, {
            theme: theme,
            className: className,
            selected: selected
        });
        return (React.createElement("div", { className: classNames.root, role: 'listitem', key: index, "data-selection-index": index, "data-is-focusable": (enableTagFocusInDisabledPicker || !disabled) && true },
            React.createElement("span", { className: classNames.text, "aria-label": children }, children),
            !disabled && (React.createElement("span", { className: classNames.close, onClick: onRemoveItem },
                React.createElement(Icon_1.Icon, { iconName: "Cancel" })))));
    };
    exports.TagItem = Utilities_1.styled(exports.TagItemBase, TagItem_styles_1.getStyles, undefined, { scope: 'TagItem' });
});
//# sourceMappingURL=TagItem.js.map