import * as React from 'react';
import { styled, classNamesFunction } from '../../../Utilities';
import { Icon } from '../../../Icon';
import { getStyles } from './TagItem.styles';
var getClassNames = classNamesFunction();
export var TagItemBase = function (props) {
    var theme = props.theme, styles = props.styles, selected = props.selected, disabled = props.disabled, enableTagFocusInDisabledPicker = props.enableTagFocusInDisabledPicker, children = props.children, className = props.className, index = props.index, onRemoveItem = props.onRemoveItem;
    var classNames = getClassNames(styles, {
        theme: theme,
        className: className,
        selected: selected
    });
    return (React.createElement("div", { className: classNames.root, role: 'listitem', key: index, "data-selection-index": index, "data-is-focusable": (enableTagFocusInDisabledPicker || !disabled) && true },
        React.createElement("span", { className: classNames.text, "aria-label": children }, children),
        !disabled && (React.createElement("span", { className: classNames.close, onClick: onRemoveItem },
            React.createElement(Icon, { iconName: "Cancel" })))));
};
export var TagItem = styled(TagItemBase, getStyles, undefined, { scope: 'TagItem' });
//# sourceMappingURL=TagItem.js.map